#!/usr/bin/perl

$block_size = (64*8);
$num_blocks = 24;

$|++;

while (<STDIN>)
{
	$line = $_;
	chomp($line);
	
	@s = split(/\s+/, $line);

	%blocks = ();
	foreach $error_bit (@s)
	{
		$block = int($error_bit / $block_size);
		$blocks{$block} = 1;
	}

	@blocks_error = keys(%blocks);
	$bits_error = (($#blocks_error+1) * 512);
	print $bits_error,"\n";
}
