#!/usr/bin/perl

%symbol_size = (
1.0,1,
2.0,2,
5.5,4,
11.0,8,
6.0,24,
9.0,36,
12.0,48,
18.0,72,
24.0,96,
36.0,144,
48.0,192,
54.0,216,
);

$|++;

while (<STDIN>)
{
	$line = $_;
	chomp($line);

	@s = split(/\s+/, $line);

	# *1.0 to get rate
	$rate = pop(@s)*1.0;

	%blocks = ();
	foreach $error_bit (@s)
	{
		$block = int($error_bit / $symbol_size{$rate});
		$blocks{$block} = 1;
	}

	@blocks_error = keys(%blocks);
	$bits_error = int((($#blocks_error+1) * $symbol_size{$rate}));
	print $bits_error,"\n";
}
